
function viewStartup() {
	sumAbility();
	sumEquipment();
	sumBattle();
	sumDecision();
}

function sumAbility() {
	var sum, temp, ary, keyAry;

	ary = new Array('str','dex','agi','iq','sns','mnd','luk');
	keyAry = new Array('_bonus','_mainClass','_supportClass');
	for (i in ary) {
		sumAbilityBonusSet(ary[i]);
		sum = 0;
		for (j in keyAry) {
			node = document.getElementById(ary[i] + keyAry[j]);
			temp = numCheck(valueCheck(node));
			if (temp != 0) { textWrite(node, temp); }
			else { textWrite(node, ''); }
			sum += temp;
		}
		textWrite(ary[i], sum);
	}
}

function sumAbilityBonusSet(abi) {
	var temp = numCheck(valueCheck(abi + '_base'));
	temp = Math.floor(temp / 3);
	textWrite(abi + '_bonus', temp);
}

function sumEquipment() {
	var sum, temp, node, ary, keyAry;

	ary = new Array('hit','at','dod','def','act');
	keyAry = new Array('rHand_','lHand_','head_','body_','accessories_');
	for (i in ary) {
		sum = 0;
		for (j in keyAry) {
			node = document.getElementById(keyAry[j] + ary[i]);
			temp = numCheck(valueCheck(node));
			if (temp != 0) {
				if (temp > 0) {
					textWrite(node, '+' + temp);
				} else { textWrite(node, temp); }
			} else { textWrite(node, ''); }
			sum += temp;
		}
		if (sum > 0) { textWrite(ary[i], '+' + sum); }
		else { textWrite(ary[i], sum); }
	}
}

function sumBattle() {
	var sum, temp, node, ary, keyAry;

	valueSet('dex','btlHit_abi');
	valueSet('hit','btlHit_hit');
	valueSet('at','btlAt_at');
	valueSet('agi','btlDod_abi');
	valueSet('dod','btlDod_dod');
	valueSet('def','btlPhysDef_def');
	valueSet('mnd','btlMgcDef_abi');
	temp = numCheck(valueCheck('agi')) + numCheck(valueCheck('sns'));
	textWrite('btlAct_abi', temp);
	valueSet('act','btlAct_act');

	ary = new Array('btlHit','btlAt','btlDod','btlPhysDef','btlMgcDef','btlAct');
	keyAry = new Array('_abi','_hit','_at','_dod','_def','_act','_skl','_other');
	for (i in ary) {
		sum = 0;
		for (j in keyAry) {
			node = document.getElementById(ary[i] + keyAry[j]);
			if (node) {
				temp = numCheck(valueCheck(node));
				if (temp != 0) {
					if (temp > 0 && !keyAry[j].match('_abi')) {
						textWrite(node, '+' + temp);
					} else { textWrite(node, temp); }
				} else { textWrite(node, ''); }
				sum += temp;
			}
		}
		textWrite(ary[i], sum);
	}
	temp = numCheck(valueCheck('move_skl')) + 5;
	temp += numCheck(valueCheck('btlAct'));
	textWrite('move', temp);
}

function sumDecision() {
	var sum, temp, temp2, node, node2, ary, keyAry;

	valueSet('sns','decAreaSch_abi');
	sumDecisionValueSet('sns','decLis_abi','decLis_ck');
	sumDecisionValueSet('sns','decTrapDet_abi','decTrapDet_ck');
	valueSet('dex','decTrapDsm_abi');
	valueSet('sns','decDangerSns_abi');
	valueSet('iq','decEnemyDis_abi');
	valueSet('iq','decItemJud_abi');
	sumDecisionValueSet('iq','decMagicDec_abi','decMagicDec_ck');
	sumDecisionValueSet('mnd','decSplSongDec_abi','decSplSongDec_ck');
	sumDecisionValueSet('dex','decAlcDec_abi','decAlcDec_ck');

	ary = new Array('decAreaSch','decLis','decTrapDet','decTrapDsm','decDangerSns','decEnemyDis','decItemJud','decMagicDec','decSplSongDec','decAlcDec');
	keyAry = new Array('_abi','_skl','_other');
	for (i in ary) {
		node2 = document.getElementById(ary[i] + '_ck');
		if (node2) { temp2 = valueCheck(node2); }
		else { temp2 = ''; }
		sum = 0;
		for (j in keyAry) {
			node = document.getElementById(ary[i] + keyAry[j]);
			temp = numCheck(valueCheck(node));
			if (!temp2.match('')) {
				if (temp != 0) {
					if (temp > 0 && !keyAry[j].match('_abi')) {
						textWrite(node, '+' + temp);
					} else { textWrite(node, temp); }
				} else { textWrite(node, ''); }
				sum += temp;
			} else { textWrite(node, ''); }
		}
		node = document.getElementById(ary[i]);
		node2 = document.getElementById(ary[i] + '_dice');
		if (!temp2.match('')) {
			textWrite(node, sum);
			temp = numCheck(valueCheck(node2));
			if (temp == 0) { textWrite(node2, ' '); }
			else { textWrite(node2, ' ' + temp + ' '); }
		} else {
			textWrite(node, '');
			textWrite(node2, ' ');
		}
	}
}

function sumDecisionValueSet(source, setValue, ck) {
	if (valueCheck(ck).match('')) {
		valueSet(source, setValue);
		textWrite(ck, '');
	} else {
		textWrite(setValue, '');
		textWrite(ck, '');
	}
}

function valueSet(source, setValue) {
	var temp = numCheck(valueCheck(source));
	textWrite(setValue, temp)
}

function textWrite(idOrNode, text) {
	var node;
	if (typeof(idOrNode) == 'string') {
		node = document.getElementById(idOrNode);
	} else { node = idOrNode; }

	if (node.firstChild == null) {
		node.appendChild(document.createTextNode(''));
	}
	node.firstChild.nodeValue = text;
}

function valueCheck(idOrNode) {
	var result, node;
	if (typeof(idOrNode) == 'string') {
		node = document.getElementById(idOrNode);
	} else { node = idOrNode; }

	if (node.firstChild == null) { result = ''; }
	else { result = node.firstChild.nodeValue; }

	return result;
}

function clearEquipment(parts) {
	var ary = new Array('','Weight','Hit','At','Dod','Def','Act','Range','Note');
	for (i in ary) {
		node = document.getElementById(parts + ary[i]);
		node.value = '';
	}
}

function clearSkill(num) {
	var ary = new Array('','_level','_cost','_effect');
	for (i in ary) {
		node = document.getElementById('skill' + num + ary[i]);
		node.value = '';
	}
}

function originChange() {
	var node, node2;
	node = document.getElementById('origin');
	node2 = document.getElementById('characteristic');
	node2.selectedIndex = node.selectedIndex
}

function numData(id) {
	var node;
	node = document.getElementById(id);
	node.value = numCheck(z2h_digit(node.value));
}

function z2h_digit(src) {
	var str = new String;
	var len = src.length;
	for (var i = 0; i < len; i++) {
		var c = src.charCodeAt(i);
		if (c >= 65296 && c <= 65305) {
		str += String.fromCharCode(c - 65248);
		} else {
			str += src.charAt(i);
		}
	}
	return str;
}

function numCheck(checkNum) {
	checkNum -= 0;
	if (checkNum == null || isNaN(checkNum)) {
		return 0;
	} else { return checkNum; }
}
